#ifndef SERVER_MYSQL_H
#define SERVER_MYSQL_H

#include <mysql/mysql.h>
#include <asn-incl.h>
#include "simple_pisd_asn1.h"

#define MYSQL_SERVER_HOST	"localhost"
#define MYSQL_SERVER_PASSWD	""
#define MYSQL_SERVER_DB		"pisd"
#define MYSQL_SERVER_TABLE	"serviceindex"
#ifndef MYSQL_SERVER_USER	
#define MYSQL_SERVER_USER	"admin"
#endif

/* update serviceindex table with PISD difference response
 * message.
 */
class ServerMysql
{
	private:
		MYSQL localMysql;
		MYSQL mysql;
		const char *host;
		const char *realm;

	public:
		ServerMysql(const char *h, const char *r);
		~ServerMysql();
		int openMysql();
		int updateTable(DifferenceResponse *serviceLogList);
};

#endif
