#ifndef PDU_H
#define PDU_H

#include <asn-incl.h>
#include "simple_pisd_asn1.h"

#define PDU_BUFSIZE 10000 // the maximum size of PDU

char *getPdu(PisdMessage &msg, int &len);
PisdMessage *decodePdu(char *pdu);

unsigned long long pduLength(const char *pdu);
void printPdu(const char *pdu);

#endif
